Group: Networking/WWW
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global commit f1b83c10d8beb43fcc70a6e88cf4325499f25857
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global gitdate 20210219

Name:           rtmpdump
Version:        2.4
Release:        alt2_24.%{gitdate}.git%{shortcommit}
Summary:        Toolkit for RTMP streams

# The tools are GPLv2+. The library is LGPLv2+, see below.
License:        GPLv2+
URL:            https://rtmpdump.mplayerhq.hu/
Source0:        https://git.ffmpeg.org/gitweb/rtmpdump.git/snapshot/%{commit}.tar.gz#/rtmpdump-%{shortcommit}.tar.gz
Patch0:         gcc14_buildfix.patch

BuildRequires:  gcc
BuildRequires:  libgnutls-devel libgnutlsxx-devel
BuildRequires:  libgcrypt-devel
BuildRequires:  zlib-devel
BuildRequires:  libnettle-devel

# we should force the exact EVR for an ISA - not only the same ABI
Requires: librtmp = %{version}-%{release}
Source44: import.info

%description
rtmpdump is a toolkit for RTMP streams. All forms of RTMP are supported,
including rtmp://, rtmpt://, rtmpe://, rtmpte://, and rtmps://.

%package -n librtmp
Group: Networking/WWW
Summary:        Support library for RTMP streams
License:        LGPLv2+

%description -n librtmp
librtmp is a support library for RTMP streams. All forms of RTMP are supported,
including rtmp://, rtmpt://, rtmpe://, rtmpte://, and rtmps://.

%package -n librtmp-devel
Group: Networking/WWW
Summary:        Files for librtmp development
License:        LGPLv2+
Requires:       librtmp = %{version}-%{release}

%description -n librtmp-devel
librtmp is a support library for RTMP streams. The librtmp-devel package
contains include files needed to develop applications using librtmp.

%prep
%setup -q -n %{name}-%{shortcommit}
%patch0 -p1


%build
# The fact that we have to add -ldl for gnutls is Fedora bug #611318
make SYS=posix CRYPTO=GNUTLS SHARED=yes OPT="%{optflags}" LIB_GNUTLS="-lgnutls -lgcrypt -ldl -lz"

%install
make CRYPTO=GNUTLS SHARED=yes DESTDIR=%{buildroot} prefix=%{_prefix} mandir=%{_mandir} libdir=%{_libdir} install
rm -f %{buildroot}%{_libdir}/librtmp.a



%files
%doc README
%doc --no-dereference COPYING
%{_bindir}/rtmpdump
%{_sbindir}/rtmpsrv
%{_sbindir}/rtmpgw
%{_sbindir}/rtmpsuck
%{_mandir}/man1/rtmpdump.1*
%{_mandir}/man8/rtmpgw.8*

%files -n librtmp
%doc ChangeLog
%doc --no-dereference librtmp/COPYING
%{_libdir}/librtmp.so.1

%files -n librtmp-devel
%{_includedir}/librtmp/
%{_libdir}/librtmp.so
%{_libdir}/pkgconfig/librtmp.pc
%{_mandir}/man3/librtmp.3*

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 2.4-alt2_24.20210219.gitf1b83c1
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 2.4-alt2_23.20210219.gitf1b83c1
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 2.4-alt2_22.20190330.gitc5f04a5
- update to new release by fcimport

* Fri May 06 2022 Igor Vlasenko <viy@altlinux.org> 2.4-alt2_21.20190330.gitc5f04a5
- update to new release by fcimport

* Mon Sep 20 2021 Igor Vlasenko <viy@altlinux.org> 2.4-alt2_20.20190330.gitc5f04a5
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 2.4-alt2_19.20190330.gitc5f04a5
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 2.4-alt2_18.20190330.gitc5f04a5
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 2.4-alt1_18.20190330.gitc5f04a5
- update to new release by fcimport

* Wed Mar 25 2020 Igor Vlasenko <viy@altlinux.ru> 2.4-alt1_17.20190330.gitc5f04a5
- update to new release by fcimport

* Thu Feb 27 2020 Igor Vlasenko <viy@altlinux.ru> 2.4-alt1_16.20190330.gitc5f04a5
- update to new release by fcimport

* Thu Oct 31 2019 Igor Vlasenko <viy@altlinux.ru> 2.4-alt1_15.20190330.gitc5f04a5
- converted for ALT Linux by srpmconvert tools

* Fri Jan 04 2019 Igor Vlasenko <viy@altlinux.ru> 2.4-alt1_12.20160224.gitfa8646d
- new version

* Tue Oct 11 2011 Sergey Bolshakov <sbolshakov@altlinux.ru> 2.4-alt1
- 2.4 (semi-)released

* Tue Nov 09 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.3-alt1.1
- Rebuilt for soname set-versions

* Thu Jul 01 2010 Konstantin Pavlov <thresh@altlinux.org> 2.3-alt1
- 2.3 release.

* Wed Jun 30 2010 Konstantin Pavlov <thresh@altlinux.org> 2.2f-alt1.svn524
- SVN build #524, past 2.2e release.
- Introduce shared library librtmp (plus devel and static subpackages).

* Thu May 06 2010 Fr. Br. George <george@altlinux.ru> 2.2d-alt1
- Initial build from scratch

